
/** @typedef {{
* top: number;
* height: number;
* right: number;
* left: number;
* color: string;
* fontSize: number;
* fontFamily: string;
* lineHeight: number;
* }} Element
*/

/**
* @typedef {{
* name: string;
* heading: Element;
* title: Element;
* subtitle: Element;
* datetime: Element;
* weekday: Element;
* content: Element;
* address: Element;
* }} Template
*/

/** @type {Template} */
export const verde = {
  name: "verde",
  heading: {
    top: 300,
    height: 1.2,
    left: 1,
    right: 1,
    fontSize: 1,
    color: "grey",
    fontFamily: "sans-serif",
    lineHeight: 1.1
  },
  title: {
    top: 320,
    height: 6,
    left: 1,
    right: 1,
    fontSize: 2.9,
    color: "firebrick",
    fontFamily: "Gill Sans, sans-serif",
    lineHeight: 2.5

  },
  subtitle: {
    top: 100,
    height: 6,
    left: 2,
    right: 2,
    fontSize: 1.8,
    color: "firebrick",
    fontFamily: "Gill Sans, sans-serif",
    lineHeight: 2
  },
  content: {
    top: 100,
    height: 6,
    left: 2,
    right: 2,
    fontSize: 1.8,
    color: "firebrick",
    fontFamily: "Gill Sans, sans-serif",
    lineHeight: 1
  },
  datetime: {
    top: 400,
    height: 4,
    left: 2,
    right: 2,
    fontSize: 1,
    color: "firebrick",
    fontFamily: "sans-serif",
    lineHeight: 1
  },
  weekday: {
    top: 500,
    height: 1.5,
    left: 2,
    right: 2,
    fontSize: 1,
    color: "#333",
    fontFamily: "sans-serif",
    lineHeight: 1
  },
  address: {
    top: 500,
    height: 1.5,
    left: 2,
    right: 2,
    fontSize: 1,
    color: "#333",
    fontFamily: "sans-serif",
    lineHeight: 1
  },
}